package by.bs.gefdemo;

import org.tigris.gef.base.CmdCreateNode;
import org.tigris.gef.base.CmdSetMode;

/**
 *  Network model elements toolbar
 *
 *@author     Berdachuk
 *@created    Dec 2003.
 */
public class NetworkToolbar extends org.tigris.gef.ui.ToolBar {
    /**
     *  Constructor for the Network toolbar object
     */
    public NetworkToolbar() {
        defineButtons();
    }


    /**
     *  define toolbar buttons
     */
    public void defineButtons() {
        add(new CmdSetMode(org.tigris.gef.base.ModeSelect.class, "Select"));
        add(new CmdSetMode(org.tigris.gef.base.ModeBroom.class, "Broom"));
        addSeparator();
        add(new CmdCreateNode(by.bs.gefdemo.PrinterNode.class,"GefDemo","PrinterNode"));
        add(new CmdCreateNode(by.bs.gefdemo.Hub4Node.class, "GefDemo", "Hub4Node"));
        add(new CmdCreateNode(by.bs.gefdemo.ComputerNode.class, "GefDemo", "ComputerNode"));        
    }
}
